For the complete documentation index, see llms.txt. This page is also available as Markdown.

Submit Payment Hash (Partner End-User Payment)

Do not call this endpoint for Partner Balance Payment. It is only available to partners that have contacted CatFee customer support and enabled Partner End-User Payment.

Submit payment resource-fee transaction hash

post
Path parameters
order_idstringRequired

Order ID

Query parameters
hashstringRequired

Resource-fee payment transaction hash

Header parameters
CF-ACCESS-KEYstringRequired

The API access key.

Example: your api key
CF-ACCESS-SIGNstringRequired

The Base64-encoded signature.

Example: signature
CF-ACCESS-TIMESTAMPstringRequired

The UTC request timestamp (e.g. 2008-08-08T08:08:08.888Z).

Responses
200

OK

application/json
codeinteger · int32Optional

Returns 0 on success; all other values indicate errors

msgstringOptional

Error message returned when an error occurs

sub_codestringOptional
sub_msgstringOptional
post/v1/mate/open/transaction/pay/{order_id}
POST /v1/mate/open/transaction/pay/{order_id}?hash=text HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "order_id": "text",
    "client_order_id": "text",
    "receiver": "text",
    "quantity": 1,
    "hash": "text",
    "amount_sun": 1,
    "payment_amount_sun": 1,
    "status": "CREATED",
    "payment_status": "UNPAID"
  }
}

Last updated